Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Tue, 28 Sep 2010 22:40:05 -0300

Em 28-09-2010 22:29, Stephen Rothwell escreveu:
> Hi Mauro,
> 
> After merging the v4l-dvb tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/media/video/bt8xx/bttv-input.c: In function 'init_bttv_i2c_ir':
> drivers/media/video/bt8xx/bttv-input.c:306: error: too few arguments to function 'i2c_new_probed_device'
> 
> Caused by commit 3c81f945a74224d6e3017596297ee9903929b1a7 ("V4L/DVB:
> bttv: Move PV951 IR to the right driver") interacting with commit
> 9a94241afcc9a481691a9c29b7460217925b59b8 ("i2c: Add support for custom
> probe function") that entered Linus' tree in v2.6.36-rc1.  I guess that
> the v4l-dvb commit moved that code to a driver that is now being built.
> 
> I have used the v4l-dvb tree from next-20100928 for today.

Thanks. It is probably a badly handled merge conflict. I had to manually merge
bttv-i2c and cx88-i2c from two different trees locally.

I'll work on it and re-merge for the tomorrow's build.

Thanks,
Mauro